OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexShader :: MonadIO m => m Bool
- gl_ARB_vertex_shader :: Bool
- gl_CURRENT_VERTEX_ATTRIB_ARB :: GLenum
- gl_FLOAT :: GLenum
- gl_FLOAT_MAT2_ARB :: GLenum
- gl_FLOAT_MAT3_ARB :: GLenum
- gl_FLOAT_MAT4_ARB :: GLenum
- gl_FLOAT_VEC2_ARB :: GLenum
- gl_FLOAT_VEC3_ARB :: GLenum
- gl_FLOAT_VEC4_ARB :: GLenum
- gl_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- gl_MAX_TEXTURE_COORDS_ARB :: GLenum
- gl_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- gl_MAX_VARYING_FLOATS_ARB :: GLenum
- gl_MAX_VERTEX_ATTRIBS_ARB :: GLenum
- gl_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- gl_MAX_VERTEX_UNIFORM_COMPONENTS_ARB :: GLenum
- gl_OBJECT_ACTIVE_ATTRIBUTES_ARB :: GLenum
- gl_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_ENABLED_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_POINTER_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_SIZE_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_STRIDE_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_TYPE_ARB :: GLenum
- gl_VERTEX_PROGRAM_POINT_SIZE_ARB :: GLenum
- gl_VERTEX_PROGRAM_TWO_SIDE_ARB :: GLenum
- gl_VERTEX_SHADER_ARB :: GLenum
- glBindAttribLocationARB :: MonadIO m => GLhandleARB -> GLuint -> Ptr GLcharARB -> m ()
- glDisableVertexAttribArrayARB :: MonadIO m => GLuint -> m ()
- glEnableVertexAttribArrayARB :: MonadIO m => GLuint -> m ()
- glGetActiveAttribARB :: MonadIO m => GLhandleARB -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLint -> Ptr GLenum -> Ptr GLcharARB -> m ()
- glGetAttribLocationARB :: MonadIO m => GLhandleARB -> Ptr GLcharARB -> m GLint
- glGetVertexAttribPointervARB :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexAttribdvARB :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVertexAttribfvARB :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glVertexAttrib1dARB :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttrib1dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib1fARB :: MonadIO m => GLuint -> GLfloat -> m ()
- glVertexAttrib1fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib1sARB :: MonadIO m => GLuint -> GLshort -> m ()
- glVertexAttrib1svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib2dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttrib2dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib2fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()
- glVertexAttrib2fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib2sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> m ()
- glVertexAttrib2svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib3dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib3dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib3fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib3fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib3sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib3svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4NbvARB :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4NivARB :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4NsvARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4NubARB :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glVertexAttrib4NubvARB :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4NuivARB :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4NusvARB :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttrib4bvARB :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4dARB :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib4dvARB :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib4fARB :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib4fvARB :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib4ivARB :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4sARB :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib4svARB :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4ubvARB :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4uivARB :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4usvARB :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribPointerARB :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBVertexShader :: MonadIO m => m Bool

Is the ARB_vertex_shader extension supported?

gl_ARB_vertex_shader :: Bool

Is the ARB_vertex_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexShader` in those cases instead.

# Enums

gl_CURRENT_VERTEX_ATTRIB_ARB :: GLenum

gl_FLOAT :: GLenum

gl_FLOAT_MAT2_ARB :: GLenum

gl_FLOAT_MAT3_ARB :: GLenum

gl_FLOAT_MAT4_ARB :: GLenum

gl_FLOAT_VEC2_ARB :: GLenum

gl_FLOAT_VEC3_ARB :: GLenum

gl_FLOAT_VEC4_ARB :: GLenum

gl_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB :: GLenum

gl_MAX_TEXTURE_COORDS_ARB :: GLenum

gl_MAX_TEXTURE_IMAGE_UNITS_ARB :: GLenum

gl_MAX_VARYING_FLOATS_ARB :: GLenum

gl_MAX_VERTEX_ATTRIBS_ARB :: GLenum

gl_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB :: GLenum

gl_MAX_VERTEX_UNIFORM_COMPONENTS_ARB :: GLenum

gl_OBJECT_ACTIVE_ATTRIBUTES_ARB :: GLenum

gl_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_ENABLED_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_POINTER_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_SIZE_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_STRIDE_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_TYPE_ARB :: GLenum

gl_VERTEX_PROGRAM_POINT_SIZE_ARB :: GLenum

gl_VERTEX_PROGRAM_TWO_SIDE_ARB :: GLenum

gl_VERTEX_SHADER_ARB :: GLenum

# Functions

glBindAttribLocationARB

Arguments

:: MonadIO m |
=> GLhandleARB | `programObj` of type `handleARB`.
-> GLuint | `index`.
-> Ptr GLcharARB | `name`.
-> m () |

This command is an alias for `glBindAttribLocation`.

glDisableVertexAttribArrayARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

This command is an alias for `glDisableVertexAttribArray`.

glEnableVertexAttribArrayARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

This command is an alias for `glEnableVertexAttribArray`.

glGetActiveAttribARB

Arguments

:: MonadIO m |
=> GLhandleARB | `programObj` of type `handleARB`.
-> GLuint | `index`.
-> GLsizei | `maxLength`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `size` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `type` pointing to `1` element of type `GLenum`.
-> Ptr GLcharARB | `name` pointing to `maxLength` elements of type `GLcharARB`.
-> m () |

This command is an alias for `glGetActiveAttrib`.

glGetAttribLocationARB

Arguments

:: MonadIO m |
=> GLhandleARB | `programObj` of type `handleARB`.
-> Ptr GLcharARB | `name`.
-> m GLint |

This command is an alias for `glGetAttribLocation`.

glGetVertexAttribPointervARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribPointerPropertyARB`.
-> Ptr (Ptr a) | `pointer` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetVertexAttribPointerv`.

glGetVertexAttribdvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribPropertyARB`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glGetVertexAttribdv`.

glGetVertexAttribfvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribPropertyARB`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetVertexAttribfv`.

glGetVertexAttribivARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `VertexAttribPropertyARB`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glGetVertexAttribiv`.

glVertexAttrib1dARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1dvARB`. This command is an alias for `glVertexAttrib1d`.

glVertexAttrib1dvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib1dv`.

glVertexAttrib1fARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1fvARB`. This command is an alias for `glVertexAttrib1f`.

glVertexAttrib1fvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `1` element of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib1fv`.

glVertexAttrib1sARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> m () |

The vector equivalent of this command is `glVertexAttrib1svARB`. This command is an alias for `glVertexAttrib1s`.

glVertexAttrib1svARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `1` element of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib1sv`.

glVertexAttrib2dARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2dvARB`. This command is an alias for `glVertexAttrib2d`.

glVertexAttrib2dvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib2dv`.

glVertexAttrib2fARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2fvARB`. This command is an alias for `glVertexAttrib2f`.

glVertexAttrib2fvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib2fv`.

glVertexAttrib2sARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

The vector equivalent of this command is `glVertexAttrib2svARB`. This command is an alias for `glVertexAttrib2s`.

glVertexAttrib2svARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `2` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib2sv`.

glVertexAttrib3dARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3dvARB`. This command is an alias for `glVertexAttrib3d`.

glVertexAttrib3dvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib3dv`.

glVertexAttrib3fARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3fvARB`. This command is an alias for `glVertexAttrib3f`.

glVertexAttrib3fvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib3fv`.

glVertexAttrib3sARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

The vector equivalent of this command is `glVertexAttrib3svARB`. This command is an alias for `glVertexAttrib3s`.

glVertexAttrib3svARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib3sv`.

glVertexAttrib4NbvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

This command is an alias for `glVertexAttrib4Nbv`.

glVertexAttrib4NivARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttrib4Niv`.

glVertexAttrib4NsvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib4Nsv`.

glVertexAttrib4NubARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLubyte | `x`.
-> GLubyte | `y`.
-> GLubyte | `z`.
-> GLubyte | `w`.
-> m () |

This command is an alias for `glVertexAttrib4Nub`.

glVertexAttrib4NubvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

This command is an alias for `glVertexAttrib4Nubv`.

glVertexAttrib4NuivARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttrib4Nuiv`.

glVertexAttrib4NusvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

This command is an alias for `glVertexAttrib4Nusv`.

glVertexAttrib4bvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

This command is an alias for `glVertexAttrib4bv`.

glVertexAttrib4dARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4dvARB`. This command is an alias for `glVertexAttrib4d`.

glVertexAttrib4dvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

This command is an alias for `glVertexAttrib4dv`.

glVertexAttrib4fARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4fvARB`. This command is an alias for `glVertexAttrib4f`.

glVertexAttrib4fvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glVertexAttrib4fv`.

glVertexAttrib4ivARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

This command is an alias for `glVertexAttrib4iv`.

glVertexAttrib4sARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

The vector equivalent of this command is `glVertexAttrib4svARB`. This command is an alias for `glVertexAttrib4s`.

glVertexAttrib4svARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

This command is an alias for `glVertexAttrib4sv`.

glVertexAttrib4ubvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

This command is an alias for `glVertexAttrib4ubv`.

glVertexAttrib4uivARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

This command is an alias for `glVertexAttrib4uiv`.

glVertexAttrib4usvARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

This command is an alias for `glVertexAttrib4usv`.

glVertexAttribPointerARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type `VertexAttribPointerType`.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

This command is an alias for `glVertexAttribPointer`.